org.apache.thrift.transport

## Class TMemoryBuffer

- java.lang.Object
- - org.apache.thrift.transport.TTransport
  - - org.apache.thrift.transport.TMemoryBuffer

-     public class TMemoryBuffer
      extends TTransport

  Memory buffer-based implementation of the TTransport interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TMemoryBuffer(int size)` Create a TMemoryBuffer with an initial buffer size of size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the transport.
    `byte[]` | `getArray()`
    `java.lang.String` | `inspect()`
    `boolean` | `isOpen()` Queries whether the transport is open.
    `int` | `length()`
    `void` | `open()` Opens the transport for reading/writing.
    `int` | `read(byte[] buf, int off, int len)` Reads up to len bytes into buffer buf, starting at offset off.
    `java.lang.String` | `toString(java.lang.String enc)` Output the contents of the memory buffer as a String, using the supplied encoding
    `void` | `write(byte[] buf, int off, int len)` Writes up to len bytes from the buffer.

    - ### Methods inherited from class org.apache.thrift.transport.TTransport

      `consumeBuffer, flush, getBuffer, getBufferPosition, getBytesRemainingInBuffer, peek, readAll, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TMemoryBuffer

          public TMemoryBuffer(int size)

      Create a TMemoryBuffer with an initial buffer size of size. The internal buffer will grow as necessary to accommodate the size of the data being written to it.

  - ### Method Detail

    - #### isOpen

          public boolean isOpen()

      Description copied from class: `TTransport`
      Queries whether the transport is open.
      Specified by:
        `isOpen` in class `TTransport`
      Returns:
        True if the transport is open.

    - #### open

          public void open()

      Description copied from class: `TTransport`
      Opens the transport for reading/writing.
      Specified by:
        `open` in class `TTransport`

    - #### close

          public void close()

      Description copied from class: `TTransport`
      Closes the transport.
      Specified by:
        `close` in class `TTransport`

    - #### read

          public int read(byte[] buf,
                 int off,
                 int len)

      Description copied from class: `TTransport`
      Reads up to len bytes into buffer buf, starting at offset off.
      Specified by:
        `read` in class `TTransport`
      Parameters:
        `buf` - Array to read into
        `off` - Index to start reading at
        `len` - Maximum number of bytes to read
      Returns:
        The number of bytes actually read

    - #### write

          public void write(byte[] buf,
                   int off,
                   int len)

      Description copied from class: `TTransport`
      Writes up to len bytes from the buffer.
      Specified by:
        `write` in class `TTransport`
      Parameters:
        `buf` - The output data buffer
        `off` - The offset to start writing from
        `len` - The number of bytes to write

    - #### toString

          public java.lang.String toString(java.lang.String enc)
                                    throws java.io.UnsupportedEncodingException

      Output the contents of the memory buffer as a String, using the supplied encoding
      Parameters:
        `enc` - the encoding to use
      Returns:
        the contents of the memory buffer as a String
      Throws:
        `java.io.UnsupportedEncodingException`

    - #### inspect

          public java.lang.String inspect()

    - #### length

          public int length()

    - #### getArray

          public byte[] getArray()